'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('../../styles/components/favorite-button.css');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Simple favorite button for components.
 */
var FavoriteButton = function FavoriteButton(props) {
  var isFavorited = props.isFavorited,
      className = props.className,
      children = props.children,
      rest = _objectWithoutProperties(props, ['isFavorited', 'className', 'children']);

  var favoriteIconClass = isFavorited ? 'icon_star' : 'icon_star_alt star_gray';
  return _react2.default.createElement(
    'div',
    _extends({
      className: (0, _classnames2.default)('octagon', 'favorite-button', className)
    }, rest),
    _react2.default.createElement('i', { className: favoriteIconClass }),
    children
  );
};

FavoriteButton.defaultProps = {
  isFavorited: false
};

FavoriteButton.propTypes = {
  /**
   * Set button to favorite mode.
   */
  isFavorited: _propTypes2.default.bool
};

exports.default = FavoriteButton;
//# sourceMappingURL=FavoriteButton.js.map