'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _palette = require('../../palette');

var _palette2 = _interopRequireDefault(_palette);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var STATE_COLOR_MAP = {
  CRITICAL: 'critical',
  WARNING: 'warning',
  NORMAL: 'normal',
  BLUE: 'blue' // @deprecated
};
var LargeCardGutter = function LargeCardGutter(props) {
  var _props$style = props.style,
      style = _props$style === undefined ? {} : _props$style,
      className = props.className,
      color = props.color,
      rest = _objectWithoutProperties(props, ['style', 'className', 'color']);

  var backgroundColor = void 0;
  switch (color) {
    case STATE_COLOR_MAP.CRITICAL:
      backgroundColor = _palette2.default.red;
      break;
    case STATE_COLOR_MAP.WARNING:
      backgroundColor = _palette2.default.yellow;
      break;
    case STATE_COLOR_MAP.NORMAL:
      backgroundColor = _palette2.default.blue;
      break;
    case STATE_COLOR_MAP.BLUE:
      backgroundColor = _palette2.default.blue;
      break;
    default:
      backgroundColor = props.color;
  }
  return _react2.default.createElement(_flexboxReact2.default, _extends({
    className: (0, _classnames2.default)('fullview__left_border', className),
    width: '9px',
    style: _extends({}, style, { backgroundColor: backgroundColor })
  }, rest));
};

LargeCardGutter.defaultProps = {};

LargeCardGutter.propTypes = {
  /** color of gutter. use `LargeCardGutter.STATE_COLOR_MAP` or any standard web color string  */
  color: _propTypes2.default.string
};
LargeCardGutter.STATE_COLOR_MAP = STATE_COLOR_MAP;

exports.default = LargeCardGutter;
//# sourceMappingURL=LargeCardGutter.js.map