'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _MicroCardGutter = require('./MicroCardGutter');

var _MicroCardGutter2 = _interopRequireDefault(_MicroCardGutter);

var _MicroCardContent = require('./MicroCardContent');

var _MicroCardContent2 = _interopRequireDefault(_MicroCardContent);

var _MicroCardHeader = require('./MicroCardHeader');

var _MicroCardHeader2 = _interopRequireDefault(_MicroCardHeader);

require('../../styles/components/micro-card.css');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function MicroCard(props) {
  var cardContent = props.cardContent,
      className = props.className,
      children = props.children,
      gutter = props.gutter,
      variant = props.variant,
      rest = _objectWithoutProperties(props, ['cardContent', 'className', 'children', 'gutter', 'variant']);

  return _react2.default.createElement(
    'div',
    _extends({
      className: (0, _classnames2.default)('octagon', 'microcard', 'bordered', 'microcard--variant-' + variant, className)
    }, rest),
    _react2.default.createElement(_MicroCardGutter2.default, {
      className: !gutter && 'microcard__gutter--hidden',
      color: gutter
    }),
    children
  );
}

MicroCard.Gutter = _MicroCardGutter2.default;
MicroCard.Content = _MicroCardContent2.default;
MicroCard.Header = _MicroCardHeader2.default;
MicroCard.defaultProps = {
  variant: 'a'
};
MicroCard.propTypes = {
  /**
   * Variant id
   */
  variant: _propTypes2.default.string,
  /**
   * Gutter color
   */
  gutter: _propTypes2.default.string
};

exports.default = MicroCard;
//# sourceMappingURL=MicroCard.js.map