'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

require('../../styles/components/stop-start-button.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StopStartButton = function StopStartButton(props) {
  var iconClass = 'octagon ei stop-start-button ';
  if (props.className) {
    iconClass = iconClass + ' ' + props.className;
  }
  if (props.isStopped) {
    iconClass = iconClass + ' icon_pause_alt2';
  } else {
    iconClass = iconClass + ' arrow_triangle-right_alt2';
  }
  return _react2.default.createElement(_semanticUiReact.Icon, {
    className: '' + iconClass,
    style: props.style,
    onClick: props.onClick
  });
};

StopStartButton.defaultProps = {
  isStopped: false,
  style: {}
};

StopStartButton.propTypes = {
  isStopped: _propTypes2.default.bool,
  onClick: _propTypes2.default.func,
  style: _propTypes2.default.object
};

exports.default = StopStartButton;
//# sourceMappingURL=StopStartButton.js.map