'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ThinCardWidgetLabel = require('./ThinCardWidgetLabel');

var _ThinCardWidgetLabel2 = _interopRequireDefault(_ThinCardWidgetLabel);

var _ThinCardWidgetValue = require('./ThinCardWidgetValue');

var _ThinCardWidgetValue2 = _interopRequireDefault(_ThinCardWidgetValue);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ThinCardWidget = function ThinCardWidget(props) {
  var borderLeft = props.borderLeft,
      borderRight = props.borderRight,
      children = props.children,
      className = props.className,
      rest = _objectWithoutProperties(props, ['borderLeft', 'borderRight', 'children', 'className']);

  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({
      alignItems: 'center',
      className: (0, _classnames2.default)(borderLeft && 'borderLeft', borderRight && 'borderRight', className),
      paddingRight: '15px',
      paddingLeft: '15px',
      marginBottom: '10px',
      marginTop: '10px'
    }, rest),
    children
  );
};
ThinCardWidget.Label = _ThinCardWidgetLabel2.default;
ThinCardWidget.Value = _ThinCardWidgetValue2.default;

ThinCardWidget.defaultProps = {
  borderLeft: false,
  borderRight: false
};

ThinCardWidget.propTypes = {
  borderLeft: _propTypes2.default.bool,
  borderRight: _propTypes2.default.bool,
  className: _propTypes2.default.string,
  onClick: _propTypes2.default.func
};

exports.default = ThinCardWidget;
//# sourceMappingURL=ThinCardWidget.js.map