'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = Layout;

require('./Layout.css');

var _componentFactory = require('../../../util/component-factory');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function Layout(props) {
  var className = props.className,
      children = props.children,
      full = props.full,
      rest = _objectWithoutProperties(props, ['className', 'children', 'full']);

  var classes = (0, _classnames2.default)('layout__container', full ? 'layout__container--full' : null, className);
  return _react2.default.createElement(
    'div',
    _extends({ className: classes }, rest),
    children
  );
}
Layout.displayName = 'Layout';
Layout.propTypes = {
  /**
   * size the layout to the viewpost (100vh, 100vw)
   */
  full: _propTypes2.default.bool
};
Layout.Header = (0, _componentFactory.generic)({ name: 'LayoutHeader', className: 'layout__header' });
Layout.Nav = (0, _componentFactory.generic)({ name: 'LayoutNav', className: 'layout__nav' });
Layout.Body = (0, _componentFactory.generic)({ name: 'LayoutBody', className: 'layout__body' });
//# sourceMappingURL=Layout.js.map