'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ContentMessage = function ContentMessage(props) {
  var children = props.children,
      className = props.className,
      status = props.status,
      rest = _objectWithoutProperties(props, ['children', 'className', 'status']);

  var statusClassName = void 0;
  if (status === ContentMessage.STATUSES.CRITICAL) {
    statusClassName = 'text-critical';
  } else if (status === ContentMessage.STATUSES.WARNING) {
    statusClassName = 'text-warning';
  }
  return _react2.default.createElement(
    'div',
    _extends({
      className: (0, _classnames2.default)('octagon', 'message__content', statusClassName, className)
    }, rest),
    children
  );
};
ContentMessage.STATUSES = {
  CRITICAL: 'critical',
  WARNING: 'warning'
};

ContentMessage.defaultProps = {
  status: 'default'
};

ContentMessage.propTypes = {
  /**
   * Status key used to style message accordingly.  Can be a none type, or,
   * one of ['critical', 'warning'].  Or, use `ContentMessage.STATUSES`.
   */
  status: _propTypes2.default.oneOf(Object.values(ContentMessage.STATUSES))
};

exports.default = ContentMessage;
//# sourceMappingURL=MessageContent.js.map