'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _alertIcon = require('../../../assets/alert-icon.svg');

var _alertIcon2 = _interopRequireDefault(_alertIcon);

var _warningYellow = require('../../../assets/warning-yellow.svg');

var _warningYellow2 = _interopRequireDefault(_warningYellow);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var MessageStateIcon = function MessageStateIcon(props) {
  var className = props.className,
      status = props.status,
      rest = _objectWithoutProperties(props, ['className', 'status']);

  var icon = void 0;
  switch (status) {
    case 'critical':
      icon = _alertIcon2.default;
      break;
    case 'warning':
      icon = _warningYellow2.default;
      break;
  }
  return _react2.default.createElement('img', _extends({
    className: (0, _classnames2.default)('message__state-icon', className),
    src: icon,
    alt: 'icon'
  }, rest));
};

MessageStateIcon.defaultProps = {
  status: 'critical'
};

MessageStateIcon.propTypes = {
  status: _propTypes2.default.string
};

exports.default = MessageStateIcon;
//# sourceMappingURL=MessageStateIcon.js.map